import { Page } from 'puppeteer';
export { SetCommand } from './setCommand';
export { GetCommand } from './getCommand';
export { ClearCommand } from './clearCommand';
export declare type CommandClass<A extends any[] = any[]> = new (page: Page, ...params: A) => {
    exec(): Promise<any>;
};
export declare type CommandResult<C> = C extends new (...args: any[]) => {
    exec(): Promise<infer R>;
} ? R : never;
export declare type CommandParams<C> = C extends CommandClass<infer P> ? P : never;
